package org.kne.cloud.network.ipv6;

import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.channels.ReadableByteChannel;
import java.nio.channels.WritableByteChannel;

import org.kne.cloud.network.srv6.IPv6SegmentRoutingTLV;

/**
 * PadN Hop-by-Hop TLV - 有数据部分
 */
public class PadNHopByHopTLV extends IPv6HopByHopTLV {
	public PadNHopByHopTLV(ByteBuffer klalbHeader) {
		super(klalbHeader);
	}

	public PadNHopByHopTLV(int dataLength) {
		super(PadNHopByHopTLV.PADN);
		getData().limit(dataLength);
	}

	@Override
	public String toString() {
		return "PadNHopByHopTLV [getDataLength()=" + getDataLength() + "]";
	}
	
	
    // 继承的readFromChannel和writeToChannel会正确处理数据部分
}